Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.auth
Class SynchronizingLDAPExtLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.jboss.security.auth.spi.UsernamePasswordLoginModule
              org.jboss.security.auth.spi.LdapExtLoginModule
                  org.jboss.portal.identity.auth.SynchronizingLDAPExtLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

    public class SynchronizingLDAPExtLoginModule

extends org.jboss.security.auth.spi.LdapExtLoginModule

Version:
  $Revision: 0.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`protected java.lang.String` | `additionalRole`
`protected java.lang.String` | `defaultAssignedRole`
`protected java.lang.String` | `membershipModuleJNDIName`
`protected java.lang.String` | `preserveRoles`
`protected java.lang.String` | `roleModuleJNDIName`
`protected java.lang.String` | `synchronizeIdentity`
`protected java.lang.String` | `synchronizeRoles`
`protected java.lang.String` | `userModuleJNDIName`
`protected java.lang.String` | `userProfileModuleJNDIName`

Fields inherited from class org.jboss.security.auth.spi.LdapExtLoginModule
`baseDN, baseFilter, bindCredential, bindDN, recursion, roleAttributeID, roleAttributeIsDN, roleFilter, roleNameAttributeID, rolesCtxDN, searchScope, searchTimeLimit, trace`

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

Constructor Summary
`SynchronizingLDAPExtLoginModule()`

Method Summary
`protected java.security.Principal` | `createIdentity(java.lang.String username)` Subclass to use the PortalPrincipal to make the username easier to retrieve by the portal.
`protected MembershipModule` | `getMembershipModule()`
`protected RoleModule` | `getRoleModule()`
`protected java.security.acl.Group[]` | `getRoleSets()`
`protected UserModule` | `getUserModule()`
`protected UserProfileModule` | `getUserProfileModule()`
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)`
`protected boolean` | `isPreserveRoles()`
`protected boolean` | `isSynchronizeIdentity()`
`protected boolean` | `isSynchronizeRoles()`
`protected boolean` | `validatePassword(java.lang.String string, java.lang.String string1)`

Methods inherited from class org.jboss.security.auth.spi.LdapExtLoginModule
`bindDNAuthentication, getUsersPassword, rolesSearch`

Methods inherited from class org.jboss.security.auth.spi.UsernamePasswordLoginModule
`createPasswordHash, getCredentials, getIdentity, getUnauthenticatedIdentity, getUsername, getUsernameAndPassword, getValidateError, login, setValidateError`

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, commit, createGroup, getUseFirstPass, logout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### additionalRole

    protected java.lang.String additionalRole

### defaultAssignedRole

    protected java.lang.String defaultAssignedRole

### synchronizeIdentity

    protected java.lang.String synchronizeIdentity

### synchronizeRoles

    protected java.lang.String synchronizeRoles

### userModuleJNDIName

    protected java.lang.String userModuleJNDIName

### roleModuleJNDIName

    protected java.lang.String roleModuleJNDIName

### membershipModuleJNDIName

    protected java.lang.String membershipModuleJNDIName

### userProfileModuleJNDIName

    protected java.lang.String userProfileModuleJNDIName

### preserveRoles

    protected java.lang.String preserveRoles

Constructor Detail

### SynchronizingLDAPExtLoginModule

    public SynchronizingLDAPExtLoginModule()

Method Detail

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Overrides:
    `initialize` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`

### getUserModule

    protected UserModule getUserModule()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getRoleModule

    protected RoleModule getRoleModule()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMembershipModule

    protected MembershipModule getMembershipModule()
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUserProfileModule

    protected UserProfileModule getUserProfileModule()
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### validatePassword

    protected boolean validatePassword(java.lang.String string,
                                       java.lang.String string1)

  Overrides:
    `validatePassword` in class `org.jboss.security.auth.spi.LdapExtLoginModule`

### getRoleSets

    protected java.security.acl.Group[] getRoleSets()
                                             throws javax.security.auth.login.LoginException

  Overrides:
    `getRoleSets` in class `org.jboss.security.auth.spi.LdapExtLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

### createIdentity

    protected java.security.Principal createIdentity(java.lang.String username)
                                              throws java.lang.Exception

  Subclass to use the PortalPrincipal to make the username easier to retrieve by the portal.

  Overrides:
    `createIdentity` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `java.lang.Exception`

### isSynchronizeIdentity

    protected boolean isSynchronizeIdentity()

### isSynchronizeRoles

    protected boolean isSynchronizeRoles()

### isPreserveRoles

    protected boolean isPreserveRoles()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD